#ifndef _X86_64_MAGIC_H
#define _X86_64_MAGIC_H

#define X86_64_POINTER_SIZE 8	// of analyzed system
#define X86_64_INTEGER_SIZE 8	// of analyzed system

// MAGIC section...

// Virtual Page Table (or PaGe Directory (PGD))
#define X86_64_VPT_MAGIC_ADDR 0x00000000	// where to start looking for VPT 
//Used to be 0x00300000, but windows seems to store this address
//on lower addresses

#define X86_64_VPT_MAGIC_BS 4096	// size of block with VPT

#define X86_64_VPT_MAGIC_COUNT 500000	// how many page to check, when looking for VPT XXX 5000
#define X86_64_VPT_MAGIC_ZEROES 3072	// how many zeroes should be at the beginning of VPT (PGD)
#define X86_64_VPT_MAGIC_ERR 3		// how many error values can be inside
// "zero" area. This is only heuristic, see documentation for more info.
#define X86_64_VPT_MAGIC_ENTRIES_CHECK	5	//how many entries to check
#define X86_64_VPT_MAGIC_ENTRIES_ERR 1 //100	// how many different values can be
// in used area of PGD (only some bits are checked)



#endif
