
#include "globals.h"

// Debug function
int debug(){
	int i;

	printf("--------- Begin of debug info ---------\n");
//	printf("do_mod_list: %d,do_mod_det: %d,do_proc_det: %d,do_proc_list: %d,do_files_det: %d,do_files_list: %d,ignore_cache: %d\n",do_mod_list,do_mod_det,do_proc_det,do_proc_list,do_files_det,do_files_list,ignore_cache);
	printf("guest_block_size: %d\narchitecture: %s\noperating_system: %s\nVPT_address: 0x%llx\nram_size: %llu\nts_hl_comm_dst: %d\nmd_hl_name_dst: %d\nts_one_of_lists: 0x%llx\nts_hl_mm_dst: %d\nmm_pgd_dst: %d\n",
	image1.guest_block_size,	// size of block in analyzed image
	image1.architecture,	// hw architecture of analyzed image
	image1.operating_system,	// operation system if analyzed image
	image1.VPT_address,	// position of VPT (from beginning of file)
	image1.ram_size,	  // size of image in kilobytes
	image1.ts_hl_comm_dst,	  // distance between comm and headlist 
	image1.md_hl_name_dst,
	image1.ts_one_of_lists, // address of tasks list_head of one of taks_struct structures
	image1.ts_hl_mm_dst, // =TS_MAGIC_HL_MM_DST; // Distance from "tasks" list_head to "mm" mmstruct...can vary!
	image1.mm_pgd_dst); // =MM_MAGIC_PGD_DST;  //Distance from beginning of mm_struct to pgd variable...can vary!

	printf("ts_headlists_nuber:%d\n",image1.ts_headlists_number); //list_heads around task_struct
	for (i=TS_MAGIC_HEADLIST_MAX;i>=0;i--){
		printf("  Headlist number %d: 0x%llx\n",i,image1.ts_headlists[i]);
	}
	
	printf("md_headlists_nuber:%d\n",image1.md_headlists_number); //list_heads around module
	for (i=MD_MAGIC_HEADLIST_MAX;i>=0;i--){
		printf("  Headlist number %d: 0x%llx\n",i,image1.md_headlists[i]);
	}
	printf("--------- End of debug info ---------\n");

	return 0;
}


