#ifndef _ARM_MAGIC_H
#define _ARM_MAGIC_H

#define ARM_POINTER_SIZE 4	// of analyzed system
#define ARM_INTEGER_SIZE 4	// of analyzed system

// MAGIC section...

// Virtual Page Table (or PaGe Directory (PGD))
#define ARM_VPT_MAGIC_ADDR 0x00000000        // where to start looking for VPT
//Used to be 0x00300000, but windows seems to store this address
//on lower addresses

#define ARM_VPT_MAGIC_BS 65536		// size of block with VPT (16 KB)

#define ARM_VPT_MAGIC_COUNT 5000	// how many page to check, when looking for VPT
#define ARM_VPT_MAGIC_ERR 1		// how many entries can be invalid
#define ARM_VPT_MIN_REC 1		// at least how many valid entries require

#endif
